--- title: "View product list" slug: "apigateway-published-postproduct" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-published-postproduct" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View product list Available in Classic and VPC View the list of products in all accounts that meet the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/published-products/search | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request syntax The request syntax is as follows. ``` { "subscribed" : true, "publisherId" : "publisherId", "offset" : 6, "limit" : 0, "productName" : "productName", "productType" : [ "MY" ] } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `subscribed` | Boolean | Optional | Subscription status of the published product - `true` \| `false` - `true`: subscribed - `false`: not subscribed | | `publisherId` | String | Optional | Tenant ID of the published API | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | | `productName` | String | Optional | Product name - 0 - 100 characters | | `productType` | Array | Optional | Product type - `MY` \| `NCP` \| `OTHERS` - `MY`: My products - `NCP`: NCP products - `OTHERS`: Other products | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/published-products/search' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "offset" : 6, "limit" : 1, "productName" : "product" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "initialCount" : 0, "productPage" : { "total" : 6, "content" : [ { "subscriptionCode" : "PROTECTED", "subscribed" : true, "domainCode" : "domainCode", "productId" : "productId", "tenantId" : "tenantId", "productDescription" : "productDescription", "productName" : "productName", "zoneCode" : "PUBLIC" } ] } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "productPage": { "content": [ { "productId": "***pxks***", "tenantId": "***3f2489612436793577e878e69e***", "productName": "product2", "productDescription": "Unit for grouping and managing multiple APIs", "subscribed": false, "subscriptionCode": "PUBLIC", "domainCode": "PUB", "zoneCode": "PUBLIC" } ], "total": 28 }, "initialCount": 780 } ```